@import "../utils/variables";
@import "../utils/mixin";

.btn {
  display: inline-block;
  text-align: center;
  font-size: $font-size-base;
  line-height: $line-height-base;
  font-weight: $font-weight-900;
  text-transform: uppercase;
  color: $white;
  border-radius: 10px;
  padding: 20px 43px;
  width: 100%;
  box-shadow: 0 2px 6px -1px $scarlet;
  transition: all .5s;
  background: $scarlet;

  @include breakpoint($tablet) {
    font-size: $font-size-base - 6;
    line-height: $line-height-base - 7;
    padding: 18px 20px;
  }

  @include breakpoint($mobile) {
    font-size: $font-size-base - 6;
    line-height: $line-height-base - 8;
    margin-bottom: 14px;
  }

  &:hover {
    box-shadow: 0 2px 11px 1px $scarlet;
    padding: 22px 44px;

    @include breakpoint($tablet) {
      padding: 18px 25px;
    }
  }

  &.btn-sm {
    font-size: $font-size-base - 11;
    line-height: $line-height-base - 9;
    box-shadow: none;
    border-radius: 2px;
    max-width: 100%;
    padding: 12px 13px;
    margin-bottom: 15px;

    &:hover {
      box-shadow: 0 2px 6px -1px $scarlet;
    }
  }
}

.conditions-link {
  font-weight: $font-weight-500;
  font-size: $font-size-base - 10;
  line-height: $line-height-base - 8;
  color: $black;
  text-align: center;
  text-transform: uppercase;
  text-decoration: underline;

  &:hover {
    text-decoration: none;
  }
}